@charset "UTF-8";

/* ====================================
	共通スタイル
 ==================================== */
.text-right {
	text-align: right;
}

.text-caption {
	font-size: 1.2rem;
}

.link-text {
	text-decoration: underline;
	text-underline-offset: 2px;
}

.color-caption {
	color: var(--cyan);
}

.mt05em {
	margin-top: 0.5em;
}

/* コラム */
.column-container {
	background: var(--white-gray);
	padding: 2rem 5% 3rem;
	text-align: center;
}

.column-title-wrap {
	margin-inline: auto;
	padding-bottom: 0.4rem;
}

.column-title {
	font-size: 1.6rem;
	font-weight: bold;
	line-height: 2.2;
	border-bottom: 2px dotted #000;
	padding-bottom: 3px;
}

.column-title-caption {
	font-size: 1.2rem;
}

.column-text-container {
	margin-top: 2rem;
	font-size: 1.5rem;
}

/* コラム：比較表 */
.comparision {
	display: flex;
	justify-content: space-between;
	max-inline-size: 400px;
	margin-inline: auto;
	margin-top: 2rem;
}

.comparison-item {
	inline-size: 48%;
}

.comparison-figure {
	figcaption {
		margin-bottom: 0.5em;
		font-size: 1.2rem;
		font-weight: bold;
		text-align: center;
	}
}

/* ====================================
	ホバーが有効な環境のみ
===================================== */
@media (hover:hover) and (pointer: fine) {

	.link-text:hover {
		text-decoration: none;
	}
}

/* ====================================
	スマートフォン専用スタイル
===================================== */
@media screen and (width < 768px) {}

/* ====================================
	PC&タブレット、印刷専用スタイル
===================================== */
@media print,
screen and (width >=768px) {

	/* コラム */
	.column-container {
		padding: 3rem 2.5% 4rem;
	}

	.column-title {
		font-size: 2rem;
		padding-bottom: 4px;
	}

	.column-title-caption {
		font-size: 1.4rem;
	}

	.column-text-container {
		margin-top: 3rem;
		font-size: 1.6rem;
	}

	.comparision {
		inline-size: 48%;
		margin-top: 3rem;
	}

	/* コラム：比較表 */
	.comparison-figure {
		figcaption {
			font-size: 1.4rem;
		}
	}
}

/* ====================================
	PC専用スタイル（1200px～）
===================================== */
@media screen and (width <1200px) {

	.category-title span>br {
		display: none;
	}
}

@media screen and (width >=1200px) {

	.category-title span {
		line-height: 1.4;
	}
}